/* h_process.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_PROCESS_H_
#define _H_PROCESS_H_

#define MAXPARAM 300

/* extern data */
pthread_t thread_id;

/* Таблица параметров файла "config.ini" */
typedef struct {
  short int id; /* ID  */
  short int type; /* Тип параметра */
  char * name; /* Имя параметра */
} TABLE_FILE_CONFIG;

/* local data  */
int LCPInit (void);
int LCPGo (void);

#endif /* _H_PROCESS_H_ */
