/* h_LCP_f_geometry.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */
   
#ifndef _H_F_GEOMETRY_H_
#define _H_F_GEOMETRY_H_



typedef struct
{
  signed long int x;
  signed long int y;
} iPOINT;

typedef struct
{
  float x;
  float y;
} fPOINT;

typedef struct
{
  int x; /* Координата "x" */
  int y; /* Координата "y" */
  int width; /* Ширина поля (Без учета рамки). */
  int height; /* Высота элемента (Без учета рамки). */
} RECT;

typedef struct
{
  int x1; /* Координата "x" первой точки */
  int y1; /* Координата "y" первой точки */
  int x2; /* Координата "x" второй точки */
  int y2; /* Координата "y" второй точки */
} RECT_POINTS;


#endif /* _H_F_GEOMETRY_H_ */
