/* h_LCP_global.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_GLOBAL_H_
#define _H_GLOBAL_H_

#define LCP_VERSION "LineColorPaint 0.0.2"

#ifndef NUMBUFFSIZE
#define NUMBUFFSIZE 200 /* Длина строки "num_buff" */
#endif

#ifndef TXT_MAX_STR
#define TXT_MAX_STR 80 /* Максимальная длина строки текстового поля */
#endif

#define CON_RET_ERROR -1
#define COMMAND	0	 /* "COMMAND" - ожидание ввода команды,  "PARAM" - параметров. */
#define PARAM 1

/* Окно с инструментами */
#define t_WIN_WIDTH 200
#define t_WIN_HEIGHT 700

/* Окно консоли */
#define c_WIN_WIDTH 800
#define c_WIN_HEIGHT 200

#endif  /* _H_GLOBAL_H_ */
