/* h_coords.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */
   

#ifndef _H_COORDS_H_
#define _H_COORDS_H_

#include "h_line.h"

fPOINT zeroPt; /* Нулевая точка для пересчета координат новых точек. */
float m_scale; /* Текущий масштаб изображения */
float scl; /*  Шаг масштабирования */
float m_scale_coef; /* Коэффициент масштабирования */

void coords_draw_point_world (float X, float Y);
void coords_draw (void);
void coords_delete_all_points (void);
void coords_zoom (void); /* Zoom */
void coords_draw_line4_world (float X1, float Y1, float X2, float Y2);
void coords_init (void);
void (* coords_pan) (void); /* Panorama */
void (* coords_pan_after) (void); 
void coords_pan_draw_lines (void);
void coords_pan_draw_lines_after (void);
void coords_pan_no_lines (void);
void coords_pan_no_lines_after (void);
  
void coords_zoom_in (void);  /* Увеличить объекты */
void coords_zoom_out (void);  /* Уменьшить объекты */

#endif /* _H_COORDS_H_ */
