/* h_w_command.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_W_COMMAND_H_
#define _H_W_COMMAND_H_


#include "h_c_label.h"
#include "h_c_text.h"

Window c_window;
unsigned int c_x_pos, c_y_pos;
unsigned int c_win_width, c_win_height;
char * c_font_name; /* Шрифт для поля (Либо локальная строка, либо "malloc") */
int IsParam; /* Ввести параметры? */
int nCmd; /* Номер текущей команды */
/* Буфферные строки */
unsigned int c_nstr; /* Количество строк в консоли */
/* Командная строка */
char con_str [TXT_MAX_STR];

int  win_com (void);
void win_com_draw (void);
void win_com_key_press (XEvent * ev, char * buff_kb, KeySym keysym);
void win_com_key_release (XEvent * ev, char * buff_kb, KeySym keysym);
void win_com_button_press (int x, int y);
void win_com_mem_free (void);
void win_com_mode_def (void); /* Строка режима по умолчанию */
void win_com_set_focus (void);
void win_com_refresh (void);
void win_com_change_pos (int pos);
int  win_com_get_nums (int cnt);

#endif /* _H_W_COMMAND_H_ */
