/* h_w_tool.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_W_TOOL_H_
#define _H_W_TOOL_H_

Window t_window;
unsigned long t_win_width, t_win_height;
char * t_font_name;
unsigned long t_x_pos, t_y_pos;
unsigned long tPixval; /* Полученный цвет из градиента */
unsigned long red, green, blue;
unsigned long step;

int  win_tool (void);
void win_tool_draw (void);
void win_tool_key_press (KeySym keysym);
void win_tool_button_press (int x, int y);
void win_tool_mem_free (void);
void win_tool_show (void);
void win_tool_unshow (void);
void win_tool_tab_init (GC g, Pixmap ** px);

#endif /* _H_W_TOOL_H_ */
